Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.api
Interface FileService

All Known Implementing Classes:
  VFSFileServiceImpl

    public interface FileService

Method Summary
`void` | `copy(String source, String dest)`
`org.kie.commons.java.nio.file.Path` | `createDirectory(String path)`
`org.kie.commons.java.nio.file.Path` | `createFile(String path)`
`boolean` | `deleteIfExists(String path)`
`boolean` | `exists(org.kie.commons.java.nio.file.Path file)`
`boolean` | `exists(String file)`
`void` | `fetchChanges()`
`org.kie.commons.java.nio.file.Path` | `getPath(String path)`
`String` | `getRepositoryRoot()`
`void` | `init()`
`Iterable<org.kie.commons.java.nio.file.Path>` | `listDirectories(String path)`
`byte[]` | `loadFile(org.kie.commons.java.nio.file.Path file)`
`byte[]` | `loadFile(String file)`
`Iterable<org.kie.commons.java.nio.file.Path>` | `loadFilesByType(String path, String fileType)`
`void` | `move(String source, String dest)`
`OutputStream` | `openFile(String path)`

Method Detail

### init

    void init()
              throws FileException

  Throws:
    `FileException`

### fetchChanges

    void fetchChanges()

### loadFile

    byte[] loadFile(String file)
                    throws FileException

  Throws:
    `FileException`

### loadFile

    byte[] loadFile(org.kie.commons.java.nio.file.Path file)
                    throws FileException

  Throws:
    `FileException`

### listDirectories

    Iterable<org.kie.commons.java.nio.file.Path> listDirectories(String path)

### loadFilesByType

    Iterable<org.kie.commons.java.nio.file.Path> loadFilesByType(String path,
                                                                 String fileType)
                                                                 throws FileException

  Throws:
    `FileException`

### exists

    boolean exists(org.kie.commons.java.nio.file.Path file)

### exists

    boolean exists(String file)

### move

    void move(String source,
              String dest)

### copy

    void copy(String source,
              String dest)

### createDirectory

    org.kie.commons.java.nio.file.Path createDirectory(String path)

### createFile

    org.kie.commons.java.nio.file.Path createFile(String path)

### deleteIfExists

    boolean deleteIfExists(String path)

### openFile

    OutputStream openFile(String path)

### getRepositoryRoot

    String getRepositoryRoot()

### getPath

    org.kie.commons.java.nio.file.Path getPath(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.